This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 127306 - authconfig breaks NIS config when using multiple domains
authconfig breaks NIS config when using multiple domains
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: authconfig (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks: 170445
  Show dependency treegraph
 
Reported: 2004-07-06 09:00 EDT by Uwe Menges
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 12:49:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Uwe Menges 2004-07-06 09:00:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040514

Description of problem:
# cat /etc/yp.conf
domain server server hsdns01
domain sapdomain2 server hs0yp1

Run authconfig; use NIS (or leave it as NIS). It says
  Domain: server
  Server: hs0yp1,hsdns01

which obviously is wrong. It then writes another wrong /etc/yp.conf:

# cat /etc/yp.conf
domain server server hs0yp1
ypserver hsdns01


Version-Release number of selected component (if applicable):
authconfig-4.3.7-1

How reproducible:
Always

Steps to Reproduce:
1. see description.
2.
3.
    

Expected Results:  Don't break handcrafted config files!
Handle multiple domains correctly, present choice of available domains.


Additional info:
Comment 1 Jindrich Novy 2004-08-26 08:39:22 EDT
Dear Uwe,

the version of authconfig behaves correctly with only one NIS domain.
Furthermore the authconfig prefers getting the NIS domain name from
/etc/sysconfig/network than from /etc/yp.conf so the last domain in
the yp.conf was replaced by it. See your /etc/sysconfig/network, where
you have NISDOMAIN=server. The export of authconfig is really a bug
that I'll try to fix. The parser writes hostnames in reversed order in
respect to the original file and any other domain tags except the
first one are written as ypserver.

greetings,
Jindrich
Comment 4 Tomas Mraz 2005-10-14 11:10:16 EDT
Fixed in Fedora core development, authconfig-5.0.2-1, it shouldn't break configs
with multiple domains anymore.
Comment 7 Tomas Mraz 2006-02-01 12:49:31 EST
This problem will be resolved in a future major release of Red Hat Enterprise
Linux. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.